/** <--- Contenedor principal ---> */
#primary {
  width: 100% !important;
  padding-inline: 32px !important;
}

header {
  h1 {
    color: var(--primary-light) !important;
  }
}

/** <--- Desglose de productos ---> */
table.wc-block-cart-items {
  thead > tr th {
    font-size: 20px !important;
  }

  tbody tr {
    /* Imagen del producto */
    td.wc-block-cart-item__image {
      display: flex !important;
      width: 250px !important;
      background-color: var(--primary-light) !important;
      padding: 6px !important;
      border-radius: 4px !important;
      margin: 0 !important;

      a {
        padding: 0 !important;
      }
    }

    /* Descripción del producto */
    td.wc-block-cart-item__product {
      padding: 0 0 0 16px !important;

      > div {
        padding-bottom: 64px;
        /* Titulo */
        > a { 
          font-size: 24px !important;
          padding: 0 !important;
          margin: 0 !important;
          font-weight: normal !important;
          text-decoration: none !important;
        }

        /* Precio */
        > div.wc-block-cart-item__prices span{
          font-size: 18px !important;
          font-weight: normal !important;
        }

        /* Propiedades */
        > div.wc-block-components-product-metadata ul{
          display: flex !important;
          gap: 16px !important;
          font-size: 18px !important;
        }

        /* Boton Eliminar */
        > div.wc-block-cart-item__quantity {
          font-size: 20px !important;
        }
      }
    }

    /* Total */ 
    td.wc-block-cart-item__total span.wc-block-formatted-money-amount{
      font-size: 24px !important;
    }
  }
}

/** <---- Resumen de la orden ----> */
div.wp-block-woocommerce-cart-order-summary-block {
  font-size: 18px !important;
  h2 {
    font-size: 18px !important;
  }
  
  select, input {
    background-color: var(--primary-light) !important;
  }
}

div.wc-block-cart__submit {
  a.wc-block-cart__submit-button {
    padding: 0 !important;
    border: solid 1px var(--secondary) !important;
    text-decoration: none !important;
    background-color: var(--bloque) !important;
  }

  a.wc-block-cart__submit-button:hover {
    background-color: #242022 !important;
  }
}
